with GNATCOM.Dispinterface;

package MSHTML.IHTMLEmbedElement_Interface is

   type IHTMLEmbedElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLEmbedElement_Type);

   function Pointer (This : IHTMLEmbedElement_Type)
     return Pointer_To_IHTMLEmbedElement;

   procedure Attach (This    : in out IHTMLEmbedElement_Type;
                     Pointer : in     Pointer_To_IHTMLEmbedElement);

   procedure Put_hidden
     (This : IHTMLEmbedElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_hidden
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_palette
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_pluginspage
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_src
     (This : IHTMLEmbedElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_units
     (This : IHTMLEmbedElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_units
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLEmbedElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_width
     (This : IHTMLEmbedElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_width
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_height
     (This : IHTMLEmbedElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_height
     (This : IHTMLEmbedElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLEmbedElement_Interface;

